# gitlab.com > fullstackunicorn > local_development_environment > frontend > Vagrantfile

Vagrant.configure(2) do |config|

    # CONFIGURE A UNIQUE NAME FOR THIS VIRTUAL MACHINE
    config.vm.define "_UNIQUENAME_" do |t|
    end
    
    # CONFIGURE PORT MAPPING BETWEEN GUEST AND HOST ---------------------
    # # 3000 is the port for main frontend in the ecosystem project
    # config.vm.network "forwarded_port", guest: 3000, host: 3000
    # -------------------------------------------------------------------

    # CONFIGURE DOCKER ON VAGRANT ---------------------------------------
    config.vm.provider "docker" do |docker, override|
        # do not use boxes
        override.vm.box = nil
        # use a build directory (Dockerfile in the same folder of Vagrantfile)
        docker.build_dir = "."
        # configure ssh between Vagrant and Docker 
        override.ssh.insert_key = true
        docker.has_ssh = true
        # configure Docker with privileged access
        docker.privileged = true
    end
    # -------------------------------------------------------------------
    
    # CONFIGURE INITIAL FOLDER AFTER LOGIN ------------------------------
    config.ssh.extra_args = ["-t", "cd /vagrant; bash --login"]
    # -------------------------------------------------------------------
end
